Bug 1002167 - audit2allow is missing from: setroubleshoot-3.2.10-1.fc19.i686 / setroubleshoot-plugins-3.0.58-2.fc19.noarch
audit2allow is missing from: setroubleshoot-3.2.10-1.fc19.i686 / setroublesho...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 10:38 EDT by Larry Hatfield
Modified: 2015-01-14 08:11 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 879812
Environment:
Last Closed: 2015-01-14 08:11:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry Hatfield 2013-08-28 10:38:59 EDT
+++ This bug was initially created as a clone of Bug #879812 +++

Description of problem:
audit2allow is missing from policycoreutils-python-2.1.13-34

sealert is having problems running:

/bin/sh: audit2allow: command not found
-R: audit2allow: command not found

--- Additional comment from Miroslav Grepl on 2012-11-26 06:16:09 EST ---

# yum install policycoreutils-devel


will fix it for now.

--- Additional comment from Daniel Walsh on 2012-11-27 07:22:27 EST ---

setroubleshoot-3.1.19-1.fc18 makes this optional.

--- Additional comment from Carlos Soriano on 2012-12-05 15:02:22 EST ---

Also, when you click troubleshooting, the instructions tell you to run audit2allow, and it is not installed by default and it's very dificult to find which package has audit2allow.
So you go to troubleshooting and you have problems with the trobleshouting also, it is very anoying and IMHO it have not to happens.
I think the best solution will be to install by default the package policycoreutils-devel

--- Additional comment from Daniel Walsh on 2012-12-05 16:57:19 EST ---

yum install /usr/bin/audit2allow 

Should have installed the correct package.

I will add this as default to setroubleshoot requires.  But we still do not have it on the server only install.  The problem is audit2allow brings in lots of requirements for selinux-policy-devel package, which is rather large, and we are trying to minimize the minimal install.

Fixed in setroubleshoot-3.1.19

--- Additional comment from Fedora Update System on 2012-12-06 06:45:30 EST ---

setroubleshoot-3.1.19-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/setroubleshoot-3.1.19-2.fc18

--- Additional comment from Fedora Update System on 2012-12-06 15:07:10 EST ---

Package setroubleshoot-3.1.19-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing setroubleshoot-3.1.19-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19841/setroubleshoot-3.1.19-2.fc18
then log in and leave karma (feedback).

--- Additional comment from Eric on 2012-12-11 16:22:31 EST ---

(In reply to comment #6)
> Package setroubleshoot-3.1.19-2.fc18:
> * should fix your issue,
>
Does not look like it is working:

# yum install setroubleshoot
Loaded plugins: langpacks, presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package setroubleshoot.i686 0:3.1.19-2.fc18 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================
 Package             Arch      Version             Repository            Size
==============================================================================
Installing:
 setroubleshoot      i686      3.1.19-2.fc18       updates-testing      120 k

Transaction Summary
==============================================================================
Install  1 Package

Total download size: 120 k
Installed size: 227 k
Is this ok [y/N]: y
Downloading Packages:
setroubleshoot-3.1.19-2.fc18.i686.rpm                      | 120 kB   00:02     
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : setroubleshoot-3.1.19-2.fc18.i686                            1/1 
  Verifying  : setroubleshoot-3.1.19-2.fc18.i686                            1/1 

Installed:
  setroubleshoot.i686 0:3.1.19-2.fc18                                           

Complete!
# audit2allow
bash: audit2allow: command not found...

--- Additional comment from Daniel Walsh on 2012-12-11 16:46:48 EST ---

Shoot, I guess not.

I will fix in the next version.

setroubleshoot-3.1.19-3.fc18.i686

--- Additional comment from Daniel Walsh on 2012-12-11 16:58:19 EST ---

Please try the new version, hopefully I will not have my head up my butt this time.

--- Additional comment from Fedora Update System on 2012-12-12 15:40:02 EST ---

Package setroubleshoot-3.1.19-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing setroubleshoot-3.1.19-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19841/setroubleshoot-3.1.19-3.fc18
then log in and leave karma (feedback).

--- Additional comment from Fedora Update System on 2013-01-14 21:30:54 EST ---

setroubleshoot-3.1.19-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from Michel Alexandre Salim on 2013-07-07 13:50:36 EDT ---

This problem is reoccuring with setroubleshoot-3.2.10-1.fc19.x86_64 -- it no longer pulls in policycoreutils-devel but troubleshooting instructions refer to audit2allow.

Should I reopen this or do you prefer a separate bug report?

--- Additional comment from Chandan on 2013-07-13 03:29:20 EDT ---

Just now I installed Fedora 19 got the same error.

grep chrome /var/log/audit/audit.log | audit2allow -M mypol
bash: audit2allow: command not found...

Linux localhost.localdomain 3.9.5-301.fc19.x86_64 #1 SMP Tue Jun 11 19:39:38 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

--- Additional comment from Robert Muil on 2013-08-06 03:17:39 EDT ---

I also experience this with Fedora 19.

--- Additional comment from Robert Muil on 2013-08-06 03:19:59 EDT ---

(sorry sent too early):
setroubleshoot package details: setroubleshoot-3.2.10-1.fc19.i686
uname -a: Linux cordis 3.10.4-300.fc19.i686 #1 SMP Tue Jul 30 12:03:53 UTC 2013 i686 i686 i386 GNU/Linux

--- Additional comment from  on 2013-08-19 19:47:28 EDT ---

I also have this bug. 

# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

command not found in fedora 19.

Also is there way to only allow plugin-container  on a specific file only?

Thank you.

Rich.
Comment 1 Fedora End Of Life 2015-01-09 14:37:48 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.